aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-fetch-install-sdk.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-06-09 19:16:00 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-06-09 22:03:01 +0200
commitcf1fc8e08722790752176df0d875a1be8e9c3a32 (patch)
tree8607eda81c8c6e543bc0861881482053b204e295 /jjb/common/include-apps-fetch-install-sdk.sh
parent60ab5c6e78b375c51051a7eacccf5f9ba3c9b37f (diff)
Update application build to support multiarch builds and upload
Change-Id: I1998a8a0ae8ad16029fb834e87f06cdc760426d1 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-apps-fetch-install-sdk.sh')
-rw-r--r--jjb/common/include-apps-fetch-install-sdk.sh19
1 files changed, 9 insertions, 10 deletions
diff --git a/jjb/common/include-apps-fetch-install-sdk.sh b/jjb/common/include-apps-fetch-install-sdk.sh
index ad220501..b099d9a5 100644
--- a/jjb/common/include-apps-fetch-install-sdk.sh
+++ b/jjb/common/include-apps-fetch-install-sdk.sh
@@ -28,23 +28,22 @@ fi
chmod a+x ${TARGETSDKNAME}
-eval export TARGETSDKENVSCRIPT="${SDKHOSTDIR}/environment-setup-${TARGETSDKARCH}-agl-linux-gnueabi"
-
-if test ! -f ${TARGETSDKENVSCRIPT} ; then
+if test x"" = x"$(eval ls ${SDKHOSTDIR}/environment-setup* | grep "agl-" | grep ${TARGETSDKARCH} 2>/dev/null)" ; then
bash ${TARGETSDKNAME} -d ${SDKHOSTDIR}/ -y
fi
+#set -x
+
+# find out the env setup script
+export TARGETSDKENVSCRIPT="$(eval ls ${SDKHOSTDIR}/environment-setup* | grep "agl-" | grep ${TARGETSDKARCH} 2>/dev/null)"
+
if test ! -f ${TARGETSDKENVSCRIPT} ; then
echo "Script not there after extracting sdk ?!"
echo "Abort."
exit 1
fi
+echo "About to source ${TARGETSDKENVSCRIPT}"
source "${TARGETSDKENVSCRIPT}"
+#set | grep -i sysroots || true
+#set +x
-echo "###############################################################################"
-ls -alh ~/
-echo "###############################################################################"
-ls -alh
-echo "###############################################################################"
-set
-echo "###############################################################################"